karaf-issues mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Jamie goodyear (JIRA)" <j...@apache.org>
Subject [jira] Updated: (KARAF-247) Add J2SE-1.2 to org.osgi.framework.executionenvironment
Date Tue, 02 Nov 2010 13:18:25 GMT

     [ https://issues.apache.org/jira/browse/KARAF-247?page=com.atlassian.jira.plugin.system.issuetabpanels:all-tabpanel
]

Jamie goodyear updated KARAF-247:
---------------------------------

    Fix Version/s: 2.1.1

> Add J2SE-1.2 to org.osgi.framework.executionenvironment
> -------------------------------------------------------
>
>                 Key: KARAF-247
>                 URL: https://issues.apache.org/jira/browse/KARAF-247
>             Project: Karaf
>          Issue Type: Improvement
>    Affects Versions: 2.0.0, 2.1.0
>            Reporter: Gert Vanthienen
>            Assignee: Gert Vanthienen
>             Fix For: 2.1.1, 2.2.0
>
>
> Some bundles (like e.g. XOM) state a bundle requirement of Bundle-RequiredExecutionEnvironment:
J2SE-1.2.
> There's no technical reason why such a bundle can't work on Karaf with a Java 5 or 6
JRE, so I'd like to add it to the list of supported execution environment values in etc/config.properties

-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message